Subject: Re: bug#19439: guix download fails with "bad qstring header component"

From: Ricardo Wurmus <[email-masked]>
Date: Tue, 03 Feb 2015 23:32:21 +0100

Eric Bavier writes:

> I've encountered the same issue while attempting to upgrade the
> python-pillow package.  For the newer versions 2.6.2 and 2.7.0, the
> following errors are reported when downloading the source::

[...]

> I don't have any ideas on how to work around this issue in general.  In
> this case, we might be able to fetch the source from github rather than
> pypi.  But this should add to the question of how frequent this problem
> is.

FWIW, pypi.python.org has been fixed after reporting the issue to the
webmasters.

Would it be desirable for the HTTP client to be a little more tolerant
in general?

~~ Ricardo